<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (1.8.0_241) on Mon Jun 07 23:26:17 CEST 2021 -->
<title>G-Index</title>
<meta name="date" content="2021-06-07">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="G-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-5.html">Prev Letter</a></li>
<li><a href="index-7.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-6.html" target="_top">Frames</a></li>
<li><a href="index-6.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">I</a>&nbsp;<a href="index-8.html">M</a>&nbsp;<a href="index-9.html">O</a>&nbsp;<a href="index-10.html">P</a>&nbsp;<a href="index-11.html">R</a>&nbsp;<a href="index-12.html">S</a>&nbsp;<a href="index-13.html">T</a>&nbsp;<a href="index-14.html">U</a>&nbsp;<a href="index-15.html">W</a>&nbsp;<a name="I:G">
<!--   -->
</a>
<h2 class="title">G</h2>
<dl>
<dt><span class="memberNameLink"><a href="../ch/hevs/isi/field/FieldConnector.html#get--">get()</a></span> - Static method in class ch.hevs.isi.field.<a href="../ch/hevs/isi/field/FieldConnector.html" title="class in ch.hevs.isi.field">FieldConnector</a></dt>
<dd>
<div class="block">Getter for an instance of FieldConnector, if there is none we create one</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/hevs/isi/field/ModbusAccessor.html#get--">get()</a></span> - Static method in class ch.hevs.isi.field.<a href="../ch/hevs/isi/field/ModbusAccessor.html" title="class in ch.hevs.isi.field">ModbusAccessor</a></dt>
<dd>
<div class="block">Get the instance of the ModbusAccessor
 If there is none we create one</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/hevs/isi/field/MpabH.html#get--">get()</a></span> - Method in class ch.hevs.isi.field.<a href="../ch/hevs/isi/field/MpabH.html" title="class in ch.hevs.isi.field">MpabH</a></dt>
<dd>
<div class="block">Simple get function for the bytebuffer</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/hevs/isi/field/Pdu.html#get--">get()</a></span> - Method in class ch.hevs.isi.field.<a href="../ch/hevs/isi/field/Pdu.html" title="class in ch.hevs.isi.field">Pdu</a></dt>
<dd>
<div class="block">Simple getter for the byteBuffer</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/hevs/isi/field/ModbusRegister.html#getAdress--">getAdress()</a></span> - Method in class ch.hevs.isi.field.<a href="../ch/hevs/isi/field/ModbusRegister.html" title="class in ch.hevs.isi.field">ModbusRegister</a></dt>
<dd>
<div class="block">Simple getter for address</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/hevs/isi/core/DataPoint.html#getDataPointfromlabel-java.lang.String-">getDataPointfromlabel(String)</a></span> - Static method in class ch.hevs.isi.core.<a href="../ch/hevs/isi/core/DataPoint.html" title="class in ch.hevs.isi.core">DataPoint</a></dt>
<dd>
<div class="block">Used to get a datapoint from dataPointMap depending on its label</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/hevs/isi/utils/Utility.html#getHexString-byte:A-">getHexString(byte[])</a></span> - Static method in class ch.hevs.isi.utils.<a href="../ch/hevs/isi/utils/Utility.html" title="class in ch.hevs.isi.utils">Utility</a></dt>
<dd>
<div class="block">Utility method to convert a byte array in a string made up of hex (0,.. 9, a,..f).</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/hevs/isi/utils/Utility.html#getHexString-byte:A-int-int-">getHexString(byte[], int, int)</a></span> - Static method in class ch.hevs.isi.utils.<a href="../ch/hevs/isi/utils/Utility.html" title="class in ch.hevs.isi.utils">Utility</a></dt>
<dd>
<div class="block">Utility method to convert a byte array in a string made up of hex (0,.. 9, a,..f)</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/hevs/isi/database/DatabaseConnector.html#getInstance--">getInstance()</a></span> - Static method in class ch.hevs.isi.database.<a href="../ch/hevs/isi/database/DatabaseConnector.html" title="class in ch.hevs.isi.database">DatabaseConnector</a></dt>
<dd>
<div class="block">Singleton: maximum one instance of DatabaseConnector</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/hevs/isi/web/WebConnector.html#getInstance--">getInstance()</a></span> - Static method in class ch.hevs.isi.web.<a href="../ch/hevs/isi/web/WebConnector.html" title="class in ch.hevs.isi.web">WebConnector</a></dt>
<dd>
<div class="block">Singleton: maximum one instance of WebConnector</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/hevs/isi/core/DataPoint.html#getLabel--">getLabel()</a></span> - Method in class ch.hevs.isi.core.<a href="../ch/hevs/isi/core/DataPoint.html" title="class in ch.hevs.isi.core">DataPoint</a></dt>
<dd>
<div class="block">Simple get method for label</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/hevs/isi/field/Frame.html#getPdu--">getPdu()</a></span> - Method in class ch.hevs.isi.field.<a href="../ch/hevs/isi/field/Frame.html" title="class in ch.hevs.isi.field">Frame</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../ch/hevs/isi/field/ModbusRegister.html#getRegisters--">getRegisters()</a></span> - Static method in class ch.hevs.isi.field.<a href="../ch/hevs/isi/field/ModbusRegister.html" title="class in ch.hevs.isi.field">ModbusRegister</a></dt>
<dd>
<div class="block">Return all the register in a "Collection"</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/hevs/isi/field/ModbusRegister.html#getSize--">getSize()</a></span> - Method in class ch.hevs.isi.field.<a href="../ch/hevs/isi/field/ModbusRegister.html" title="class in ch.hevs.isi.field">ModbusRegister</a></dt>
<dd>
<div class="block">get the size of the map</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/hevs/isi/utils/Utility.html#getStringRndVal-int-">getStringRndVal(int)</a></span> - Static method in class ch.hevs.isi.utils.<a href="../ch/hevs/isi/utils/Utility.html" title="class in ch.hevs.isi.utils">Utility</a></dt>
<dd>
<div class="block">Retrieves a random value rounded to 2 decimal...</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/hevs/isi/core/BinaryDataPoint.html#getValue--">getValue()</a></span> - Method in class ch.hevs.isi.core.<a href="../ch/hevs/isi/core/BinaryDataPoint.html" title="class in ch.hevs.isi.core">BinaryDataPoint</a></dt>
<dd>
<div class="block">This method the boolean "value" as a String</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/hevs/isi/core/DataPoint.html#getValue--">getValue()</a></span> - Method in class ch.hevs.isi.core.<a href="../ch/hevs/isi/core/DataPoint.html" title="class in ch.hevs.isi.core">DataPoint</a></dt>
<dd>
<div class="block">Abstract method to get the value of the datapoint
 Will be implemented in child class as it is different
 between Float or Binary Datapoints</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/hevs/isi/core/FloatDataPoint.html#getValue--">getValue()</a></span> - Method in class ch.hevs.isi.core.<a href="../ch/hevs/isi/core/FloatDataPoint.html" title="class in ch.hevs.isi.core">FloatDataPoint</a></dt>
<dd>
<div class="block">Simple get method for value</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">I</a>&nbsp;<a href="index-8.html">M</a>&nbsp;<a href="index-9.html">O</a>&nbsp;<a href="index-10.html">P</a>&nbsp;<a href="index-11.html">R</a>&nbsp;<a href="index-12.html">S</a>&nbsp;<a href="index-13.html">T</a>&nbsp;<a href="index-14.html">U</a>&nbsp;<a href="index-15.html">W</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-5.html">Prev Letter</a></li>
<li><a href="index-7.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-6.html" target="_top">Frames</a></li>
<li><a href="index-6.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
